<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario, Sede y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
  $sede_usuario=$_SESSION['SEDE_USUARIO']; 
  
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="autorizaciones_carga.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" and $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="autorizaciones_carga.phpp";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  
	  
  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>siga_pregrado -- autorizaciones_carga</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Autorizaci&oacute;n para Cargar por Hist&oacute;rico</tr></table>
<?php
  if (!login()) exit;
?>
<div style="float: right"><a href="autorizaciones_carga.php?a=logout">[ Salir ]</a></div>
<br>
<?php
  $conn = connect();
  $showrecs = 100;
  $pagerange = 100;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP!</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<hr size="1" noshade>
<form action="autorizaciones_carga.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los Campos</option>
<option value="<?php echo "id_docente" ?>"<?php if ($filterfield == "id_docente") { echo "selected"; } ?>><?php echo htmlspecialchars("id_docente") ?></option>
<option value="<?php echo "nombre_docente" ?>"<?php if ($filterfield == "nombre_docente") { echo "selected"; } ?>><?php echo htmlspecialchars("nombre_docente") ?></option>
<option value="<?php echo "id_periodo" ?>"<?php if ($filterfield == "id_periodo") { echo "selected"; } ?>><?php echo htmlspecialchars("id_periodo") ?></option>
<option value="<?php echo "descripcion_lapso" ?>"<?php if ($filterfield == "descripcion_lapso") { echo "selected"; } ?>><?php echo htmlspecialchars("descripcion_lapso") ?></option>
<option value="<?php echo "fecha_desde" ?>"<?php if ($filterfield == "fecha_desde") { echo "selected"; } ?>><?php echo htmlspecialchars("fecha_desde") ?></option>
<option value="<?php echo "fecha_hasta" ?>"<?php if ($filterfield == "fecha_hasta") { echo "selected"; } ?>><?php echo htmlspecialchars("fecha_hasta") ?></option>
<option value="<?php echo "solicitante" ?>"<?php if ($filterfield == "solicitante") { echo "selected"; } ?>><?php echo htmlspecialchars("solicitante") ?></option>
<option value="<?php echo "fecha_solicitud" ?>"<?php if ($filterfield == "fecha_solicitud") { echo "selected"; } ?>><?php echo htmlspecialchars("fecha_solicitud") ?></option>
<option value="<?php echo "memo" ?>"<?php if ($filterfield == "memo") { echo "selected"; } ?>><?php echo htmlspecialchars("memo") ?></option>
<option value="<?php echo "autorizado_por" ?>"<?php if ($filterfield == "autorizado_por") { echo "selected"; } ?>><?php echo htmlspecialchars("autorizado_por") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="autorizaciones_carga.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center"><?php echo "Cédula" ?></td>
<td class="hr" align="center"><?php echo "Docente" ?></td>
<td class="hr" align="center"><?php echo "Lapso" ?></td>
<td class="hr" align="center"><?php echo "Desde" ?></td>
<td class="hr" align="center"><?php echo "Hasta" ?></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="autorizaciones_carga.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["id_docente"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombre_docente"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["descripcion_lapso"]) ?></td>
<td class="<?php echo $style ?>"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_desde"])))) ?></td>
<td class="<?php echo $style ?>"><?php echo join ("-",(array_reverse(explode("-",$row["fecha_hasta"])))) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function login()
{
  global $_POST;
  global $_SESSION;

  global $_GET;
  if (isset($_GET["a"]) && ($_GET["a"] == 'logout')) $_SESSION["logged_in"] = false;
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  if (!$_SESSION["logged_in"]) {
    $login = "";
    $password = "";
    if (isset($_POST["login"])) $login = @$_POST["login"];
    if (isset($_POST["password"])) $password = @$_POST["password"];

    if (($login != "") && ($password != "")) {
      $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
      mysql_select_db("siga_pregrado");
      $sql = "select `psw_autorizar` from `usuarios` where `username` = '" .$login ."'";
      $res = mysql_query($sql, $conn) or die(mysql_error());
      $row = mysql_fetch_assoc($res) or $row = array(0 => "");;
      if (isset($row)) reset($row);

      if (isset($password) && ($password == trim(current($row)))) {
        $_SESSION["logged_in"] = true;
    }
    else {
?>
<p><b><font color="-1">Disculpe, la combinaci&oacute;n de usuario/contrase&ntilde;a  es incorrecta.</font></b></p>
<?php } } }if (isset($_SESSION["logged_in"]) && (!$_SESSION["logged_in"])) { ?>
<form action="autorizaciones_carga.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td>Nombre de Usuario</td>
<td><input type="text" name="login" value="<?php echo $login ?>"></td>
</tr>
<tr>
<td>Contrase&ntilde;a</td>
<td><input type="password" name="password" value="<?php echo $password ?>"></td>
</tr>
<tr>
<td><input type="submit" name="action" value="Acceder"></td>
</tr>
</table>
</form>
<?php
  }
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  return $_SESSION["logged_in"];
} ?>

<?php function showrow($row, $recid)
  {
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula del Docente")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_docente"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos y Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_docente"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso Académico")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["descripcion_lapso"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Desde")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["fecha_desde"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha Hasta")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["fecha_hasta"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Solicitante")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["solicitante"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Solicitud")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["fecha_solicitud"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Memorandum")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["memo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Autorizado por")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["autorizado_por"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
   mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo, tipo FROM periodos where status='CERRADO' and id_periodo>=70 ORDER BY periodos.id_periodo desc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);

$query_rstDocentes = "SELECT docentes.id_docente, cedula, docentes.apellidos,docentes.nombres FROM docentes ORDER BY apellidos,nombres";
$rstDocentes = mysql_query($query_rstDocentes, $conn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$totalRows_rstDocentes = mysql_num_rows($rstDocentes);


?>
<script language='javascript' src="calendario/popcalendar.js"></script> 
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Docente a Autorizar")."&nbsp;" ?></td>
<td class="dr"><select name="id_docente" size="1" id="id_docente" >
		   <option value="0">SELECCIONE...</option>
            <?php
do {  
?>
            <option value="<?php echo $row_rstDocentes['cedula']?>"><?php echo $row_rstDocentes['apellidos'].' '.$row_rstDocentes['nombres']?>&nbsp;(<?php echo number_format($row_rstDocentes['cedula'],0,"",".") ?>)</option>
            <?php
} while ($row_rstDocentes = mysql_fetch_assoc($rstDocentes));
  $rows = mysql_num_rows($rstDocentes);
  if($rows > 0) {
      mysql_data_seek($rstDocentes, 0);
	  $row_rstDocentes = mysql_fetch_assoc($rstDocentes);
  }
?>
          </select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso a Autorizar")."&nbsp;" ?></td>
<td class="dr"><select name="id_periodo" id="id_periodo">
		  <option value="0">SELECCIONE...</option>
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?>&nbsp;(<?php echo $row_rstPeriodos['tipo']?>)</option>
            <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
          </select></td>
</tr>

<tr>
<td class="hr">Autorizaci&oacute;n Desde&nbsp;</td>
<td class="dr"><input readonly="true" name="fecha_desde" type="text" id="fecha_desde" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_desde"])) ?>" onClick="popUpCalendar(this, form1.fecha_desde, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr">Autorizaci&oacute;n Hasta&nbsp;</td>
<td class="dr"><input name="fecha_hasta" type="text" id="fecha_hasta" onClick="popUpCalendar(this, form1.fecha_hasta, 'dd-mm-yyyy');" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_desde"])) ?>" size="10" readonly="true">
  &nbsp;&nbsp;(dd-mm-aaaa)</td></tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Solicitante")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="solicitante" size="42" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["solicitante"])) ?>" onBlur="verificar(this.value,document.form1.id_docente.value)"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de la Solicitud")."&nbsp;" ?></td>
<td class="dr"><input readonly="true" name="fecha_solicitud" type="text" id="fecha_solicitu" value="<?php echo str_replace('"', '&quot;', trim($row["fecha_desde"])) ?>" onClick="popUpCalendar(this, form1.fecha_solicitud, 'dd-mm-yyyy');" size="10">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número del Memorandum ")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="memo" maxlength="15" size="15" value="<?php echo str_replace('"', '&quot;', trim($row["memo"])) ?>"></td>
</tr>
</table>

<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="autorizaciones_carga.php?a=add">Agregar </a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="autorizaciones_carga.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="autorizaciones_carga.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="autorizaciones_carga.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="autorizaciones_carga.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="autorizaciones_carga.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="autorizaciones_carga.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="autorizaciones_carga.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="autorizaciones_carga.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="autorizaciones_carga.php" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_docente" => "",
  "nombre_docente" => "",
  "id_periodo" => "",
  "descripcion_lapso" => "",
  "fecha_desde" => "",
  "fecha_hasta" => "",
  "solicitante" => "",
  "fecha_solicitud" => "",
  "memo" => "",
  "autorizado_por" => "");
showroweditor($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="autorizaciones_carga.php?a=add">Agregar </a></td>
</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
  mysql_select_db("siga_pregrado");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `id_docente`, `nombre_docente`, `id_periodo`, `descripcion_lapso`, `fecha_desde`, `fecha_hasta`, `solicitante`, `fecha_solicitud`, `memo`, `autorizado_por` FROM `autorizaciones_carga`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_docente` like '" .$filterstr ."') or (`nombre_docente` like '" .$filterstr ."') or (`id_periodo` like '" .$filterstr ."') or (`descripcion_lapso` like '" .$filterstr ."') or (`fecha_desde` like '" .$filterstr ."') or (`fecha_hasta` like '" .$filterstr ."') or (`solicitante` like '" .$filterstr ."') or (`fecha_solicitud` like '" .$filterstr ."') or (`memo` like '" .$filterstr ."') or (`autorizado_por` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `autorizaciones_carga`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_docente` like '" .$filterstr ."') or (`nombre_docente` like '" .$filterstr ."') or (`id_periodo` like '" .$filterstr ."') or (`descripcion_lapso` like '" .$filterstr ."') or (`fecha_desde` like '" .$filterstr ."') or (`fecha_hasta` like '" .$filterstr ."') or (`solicitante` like '" .$filterstr ."') or (`fecha_solicitud` like '" .$filterstr ."') or (`memo` like '" .$filterstr ."') or (`autorizado_por` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  global $intruso;
  
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  
  $id_periodo=@$_POST["id_periodo"];
  $id_docente=@$_POST["id_docente"];
  
  
  $query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo, tipo FROM periodos where id_periodo='$id_periodo'";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$descripcion_lapso=$row_rstPeriodos["codigo"].' ('.$row_rstPeriodos["tipo"].')';

$query_rstDocentes = "SELECT docentes.id_docente, docentes.apellidos,docentes.nombres FROM docentes where cedula='$id_docente'";
$rstDocentes = mysql_query($query_rstDocentes, $conn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$nombre_dcoente=$row_rstDocentes[apellidos].' '.$row_rstDocentes[nombres];
  
  $fecha_desde=join ("-",(array_reverse(explode("-",@$_POST["fecha_desde"]))));
  $fecha_hasta=join ("-",(array_reverse(explode("-",@$_POST["fecha_hasta"]))));
  $fecha_solicitud=join ("-",(array_reverse(explode("-",@$_POST["fecha_solicitud"]))));
  
  $sql = "insert into `autorizaciones_carga` (`id_docente`, `nombre_docente`, `id_periodo`, `descripcion_lapso`, `fecha_desde`, `fecha_hasta`, `solicitante`, `fecha_solicitud`, `memo`, `autorizado_por`) values (" .sqlvalue(@$_POST["id_docente"], false).", '$nombre_dcoente', " .sqlvalue(@$_POST["id_periodo"], false).", '$descripcion_lapso', '$fecha_desde', '$fecha_hasta', " .sqlvalue(@$_POST["solicitante"], true).", '$fecha_solicitud', " .sqlvalue(@$_POST["memo"], true).", '$intruso')";
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_docente`";
  if (@$_POST["xid_docente"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_docente"], false);
  };
  $pk .= ") and ";
  $pk .= "(`nombre_docente`";
  if (@$_POST["xnombre_docente"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xnombre_docente"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_periodo`";
  if (@$_POST["xid_periodo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_periodo"], false);
  };
  $pk .= ") and ";
  $pk .= "(`descripcion_lapso`";
  if (@$_POST["xdescripcion_lapso"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xdescripcion_lapso"], true);
  };
  $pk .= ") and ";
  $pk .= "(`fecha_desde`";
  if (@$_POST["xfecha_desde"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xfecha_desde"], true);
  };
  $pk .= ") and ";
  $pk .= "(`fecha_hasta`";
  if (@$_POST["xfecha_hasta"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xfecha_hasta"], true);
  };
  $pk .= ") and ";
  $pk .= "(`solicitante`";
  if (@$_POST["xsolicitante"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xsolicitante"], true);
  };
  $pk .= ") and ";
  $pk .= "(`fecha_solicitud`";
  if (@$_POST["xfecha_solicitud"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xfecha_solicitud"], true);
  };
  $pk .= ") and ";
  $pk .= "(`memo`";
  if (@$_POST["xmemo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xmemo"], true);
  };
  $pk .= ") and ";
  $pk .= "(`autorizado_por`";
  if (@$_POST["xautorizado_por"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xautorizado_por"], true);
  };
  $pk .= ")";
  return $pk;
}
 ?>
 
 <?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 

